Create manual income document (Internal API)

This is a variant of POST /partner/api/documents/income/manual — Create manual income document; the request and responses below are the ones documented for Internal API.

Credentials

No credentials are documented for this endpoint.

Create an income document manually with full field specification.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
seller_email string yes
osek_type integer yes Business type (1=OsekZair, 2=OsekMurshe)
doc_type integer yes
seller_social_id_number string yes
value_date string yes
currency string yes
doc_language string yes
client_type integer yes
client_name string yes
client_id string yes
document_number string yes
total_sum_including_vat number yes
total_vat_number number yes
item_description string yes
item_type integer yes
sale_currency string yes
sale_vat_rule_vat_exempt boolean yes
unit_price number yes
quantity number yes
sum_amount_paid_with_this_payment_method number yes
payment_methods string yes
origin_tax_deduction number yes
document_id string no
file_id string no
file_name string no
file_path string no

Request example

{
  "seller_email": "seller@example.com",
  "osek_type": 1,
  "doc_type": 1,
  "seller_social_id_number": "123456789",
  "value_date": "2024-01-15",
  "currency": "ILS",
  "doc_language": "he",
  "client_type": 1,
  "client_name": "John Doe",
  "client_id": "987654321",
  "document_number": "INV-001",
  "total_sum_including_vat": 1170,
  "total_vat_number": 170,
  "item_description": "Consulting Service",
  "item_type": 1,
  "sale_currency": "ILS",
  "sale_vat_rule_vat_exempt": false,
  "unit_price": 1000,
  "quantity": 1,
  "sum_amount_paid_with_this_payment_method": 1170,
  "payment_methods": "bank_transfer",
  "origin_tax_deduction": 0,
  "file_name": "invoice.pdf",
  "file_path": "uploads/invoices/invoice.pdf"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/documents/income/manual' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "seller_email": "seller@example.com",
  "osek_type": 1,
  "doc_type": 1,
  "seller_social_id_number": "123456789",
  "value_date": "2024-01-15",
  "currency": "ILS",
  "doc_language": "he",
  "client_type": 1,
  "client_name": "John Doe",
  "client_id": "987654321",
  "document_number": "INV-001",
  "total_sum_including_vat": 1170,
  "total_vat_number": 170,
  "item_description": "Consulting Service",
  "item_type": 1,
  "sale_currency": "ILS",
  "sale_vat_rule_vat_exempt": false,
  "unit_price": 1000,
  "quantity": 1,
  "sum_amount_paid_with_this_payment_method": 1170,
  "payment_methods": "bank_transfer",
  "origin_tax_deduction": 0,
  "file_name": "invoice.pdf",
  "file_path": "uploads/invoices/invoice.pdf"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/documents/income/manual", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "seller_email": "seller@example.com",
    "osek_type": 1,
    "doc_type": 1,
    "seller_social_id_number": "123456789",
    "value_date": "2024-01-15",
    "currency": "ILS",
    "doc_language": "he",
    "client_type": 1,
    "client_name": "John Doe",
    "client_id": "987654321",
    "document_number": "INV-001",
    "total_sum_including_vat": 1170,
    "total_vat_number": 170,
    "item_description": "Consulting Service",
    "item_type": 1,
    "sale_currency": "ILS",
    "sale_vat_rule_vat_exempt": false,
    "unit_price": 1000,
    "quantity": 1,
    "sum_amount_paid_with_this_payment_method": 1170,
    "payment_methods": "bank_transfer",
    "origin_tax_deduction": 0,
    "file_name": "invoice.pdf",
    "file_path": "uploads/invoices/invoice.pdf"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/documents/income/manual",
    json={
        "seller_email": "seller@example.com",
        "osek_type": 1,
        "doc_type": 1,
        "seller_social_id_number": "123456789",
        "value_date": "2024-01-15",
        "currency": "ILS",
        "doc_language": "he",
        "client_type": 1,
        "client_name": "John Doe",
        "client_id": "987654321",
        "document_number": "INV-001",
        "total_sum_including_vat": 1170,
        "total_vat_number": 170,
        "item_description": "Consulting Service",
        "item_type": 1,
        "sale_currency": "ILS",
        "sale_vat_rule_vat_exempt": False,
        "unit_price": 1000,
        "quantity": 1,
        "sum_amount_paid_with_this_payment_method": 1170,
        "payment_methods": "bank_transfer",
        "origin_tax_deduction": 0,
        "file_name": "invoice.pdf",
        "file_path": "uploads/invoices/invoice.pdf",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "seller_email": "seller@example.com",
  "osek_type": 1,
  "doc_type": 1,
  "seller_social_id_number": "123456789",
  "value_date": "2024-01-15",
  "currency": "ILS",
  "doc_language": "he",
  "client_type": 1,
  "client_name": "John Doe",
  "client_id": "987654321",
  "document_number": "INV-001",
  "total_sum_including_vat": 1170,
  "total_vat_number": 170,
  "item_description": "Consulting Service",
  "item_type": 1,
  "sale_currency": "ILS",
  "sale_vat_rule_vat_exempt": false,
  "unit_price": 1000,
  "quantity": 1,
  "sum_amount_paid_with_this_payment_method": 1170,
  "payment_methods": "bank_transfer",
  "origin_tax_deduction": 0,
  "file_name": "invoice.pdf",
  "file_path": "uploads/invoices/invoice.pdf"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/documents/income/manual');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

201 — Manual income document created successfully (success)

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}